Subject: BFD implementation

From: Chris Nogradi <[email-masked]>
Date: Mon, 6 Dec 2004 10:00:15 -0500

Hello, I have some BFD implementation questions:

1. Section 6.6.2 specifies in the last paragraph that a '... Control packet 
with the Poll (P) bit clear and the Final (F) bit set...' MUST be sent as a 
result of receiving a packet with the poll bit set.  And later, in section 
6.6.3, the 3rd paragraph states that if the intervals are changed, '... all 
subsequent transmitted Control packets MUST be sent with the Poll (P) bit set 
until a packet is received with the Final (F) bit set.'  It is not clear to 
me how to implement these seemingly contradictory statements.

2.  While I am not sure that the document specifically states this, it appears 
to me that the poll and final bits should only be set when in the up state?

Any clarification of these issues would be much appreciated.

Thanks,

Chris